---

seafile_packages:
  - python39
  - python39-setuptools
  - python39-pip
  - python39-devel
  - gcc
  - gcc-c++
  - ffmpeg
  - ffmpeg-devel
  - libmemcached-devel
  - mysql-devel
  - zlib-devel
  - openldap-devel
  - openssl-devel
  - gcc
  - tar
  - mariadb
  - fuse
  - java-1.8.0-openjdk   # For seafile-pro
  - poppler-utils        # For seafile-pro
  - unoconv              # For seafile-pro
  - python3-setuptools   # needed for ansible to create the venv

seafile_python_libs:
  community:
    - pillow==10.0.*
    - pylibmc
    - captcha==0.4
    - jinja2
    - SQLAlchemy==2.0.18
    - psd-tools
    - django-pylibmc
    - django_simple_captcha==0.5.*
    - djangosaml2==1.5.*
    - pysaml2==7.2.*
    - python-ldap==3.4.3
    - requests_oauthlib
    - future==0.18.*
    - mysqlclient==2.1.*
    - pycryptodome==3.16.*
    - cffi==1.15.1
    - lxml
    - chardet
  pro:
    - pillow==9.3.*
    - pylibmc
    - captcha==0.4
    - jinja2
    - SQLAlchemy==1.4.3
    - psd-tools
    - django-pylibmc
    - django_simple_captcha==0.5.*
    - djangosaml2==1.5.*
    - pysaml2==7.2.*
    - python-ldap
    - requests_oauthlib
    - future==0.18.*
    - mysqlclient==2.1.*
    - pycryptodome==3.16.*
    - cffi==1.15.1
    - lxml
    - chardet

seafile_rm_libs:
  community:
    - libcrypto.so.1.1    # 9.0.0
    - libssl.so.1.1       # 9.0.0

  pro:
    - liblber-2.4.so.2
    - libldap-2.4.so.2
    - libsasl2.so.3
    - libldap_r-2.4.so.2  # 9.0.0
    - libcrypto.so.1.1    # 9.0.0
    - libssl.so.1.1       # 9.0.0
